ProductTestApi

Method Path Operation

POST

/productTest

createProductTest — Creates a ProductTest

GET

/productTest

listProductTest — List or find ProductTest objects

PATCH

/productTest/{id}

patchProductTest — Updates partially a ProductTest

GET

/productTest/{id}

retrieveProductTest — Retrieves a ProductTest by ID

Operations

ProductTest

POST /productTest

Operation ID

createProductTest

Creates a ProductTest

Description

This operation creates a ProductTest entity.

Parameters
Body parameter
Name Description and type Required Default Pattern

ProductTestFVO

ProductTest create payload ProductTestFVO

X

Query parameters
Name Description and type Required Default Pattern

fields

Comma-separated properties to be provided in response

-

Return type
Request content types
  • application/json

Response content types
  • application/json

Responses
Code Message Data type

201

ProductTest created successfully

ProductTest

202

Accepted

400

Bad Request

ErrorMessage

401

Unauthorized

ErrorMessage

403

Forbidden

ErrorMessage

404

Not Found

ErrorMessage

405

Method Not allowed

ErrorMessage

409

Conflict

ErrorMessage

500

Internal Server Error

ErrorMessage

501

Not Implemented

ErrorMessage

503

Service Unavailable

ErrorMessage

GET /productTest

Operation ID

listProductTest

List or find ProductTest objects

Description

List or find ProductTest objects

Parameters
Query parameters
Name Description and type Required Default Pattern

fields

Comma-separated properties to be provided in response

-

offset

Requested index for start of resources to be provided in response

-

limit

Requested number of resources to be provided in response

-

Return type

array[ProductTest]

Response content types
  • application/json

Responses
Code Message Data type

200

List of ProductTest

array of ProductTest

400

Bad Request

ErrorMessage

401

Unauthorized

ErrorMessage

403

Forbidden

ErrorMessage

404

Not Found

ErrorMessage

405

Method Not allowed

ErrorMessage

500

Internal Server Error

ErrorMessage

501

Not Implemented

ErrorMessage

503

Service Unavailable

ErrorMessage

PATCH /productTest/{id}

Operation ID

patchProductTest

Updates partially a ProductTest

Description

This operation updates partially a ProductTest entity.

Parameters
Path parameters
Name Description and type Required Default Pattern

id

Identifier of the API Resource

X

Body parameter
Name Description and type Required Default Pattern

ProductTestMVO

ProductTest partial update payload ProductTestMVO

X

Query parameters
Name Description and type Required Default Pattern

fields

Comma-separated properties to be provided in response

-

Return type
Request content types
  • application/json

  • application/merge-patch+json

  • application/json-patch+json

Response content types
  • application/json

  • application/merge-patch+json

  • application/json-patch+json

Responses
Code Message Data type

200

ProductTest updated successfully

ProductTest

202

Accepted

400

Bad Request

ErrorMessage

401

Unauthorized

ErrorMessage

403

Forbidden

ErrorMessage

404

Not Found

ErrorMessage

405

Method Not allowed

ErrorMessage

409

Conflict

ErrorMessage

500

Internal Server Error

ErrorMessage

501

Not Implemented

ErrorMessage

503

Service Unavailable

ErrorMessage

GET /productTest/{id}

Operation ID

retrieveProductTest

Retrieves a ProductTest by ID

Description

This operation retrieves a ProductTest entity. Attribute selection enabled for all first level attributes.

Parameters
Path parameters
Name Description and type Required Default Pattern

id

Identifier of the API Resource

X

Query parameters
Name Description and type Required Default Pattern

fields

Comma-separated properties to be provided in response

-

Return type
Response content types
  • application/json

Responses
Code Message Data type

200

ProductTest retrieved successfully

ProductTest

400

Bad Request

ErrorMessage

401

Unauthorized

ErrorMessage

403

Forbidden

ErrorMessage

404

Not Found

ErrorMessage

405

Method Not allowed

ErrorMessage

500

Internal Server Error

ErrorMessage

501

Not Implemented

ErrorMessage

503

Service Unavailable

ErrorMessage